<?php
//========================================================================//
//	AUTOR  : JUAN CARLOS PINTO LARICO
//	FECHA  : JULIO  2017
//	VERSION: 1.4.2.0
//	E-MAIL : jcpintol@hotmail.com
//  hoja de seccion personalizada para su busqueda
//========================================================================//
include("conex.php");
include("class.upload.php");
include("summary.php");
include("basic.php");
static $destino;
global $compilado;
$compilado=' Ver.: 1.4.2.0';
$destino="../adjunto/";

//========================================================================//
//				IMAGEN CAPCHA
//========================================================================//
if( isset($_GET['img']) && $_GET['img']=="true"){
 session_start();
 $texto = randomText(4,'true');
 $captcha = imagecreate(70, 22);
 imagecolorallocate($captcha, 255, 255, 255);
 $textColor = imagecolorallocate($captcha, 43, 43, 43);
 $lineColor = imagecolorallocate($captcha, 163, 163, 163);
 $imageInfo[]=70;
 $imageInfo[]=24;
 $linesToDraw = 16;
 for($i=0; $i<$linesToDraw; $i++ ){
  $xStart = mt_rand(0, $imageInfo[0]);
  $xEnd = mt_rand(0, $imageInfo[0]);
  imageline($captcha, $xStart, 0, $xEnd, $imageInfo[1], $lineColor );
 }
 imagettftext( $captcha, 17, 1, 5, 20, $textColor, "../js/ActionJackson.ttf", $texto );
 $_SESSION['key'] = md5($texto);
 imagesavealpha($captcha, true);
 header("Content-type: image/png;");
 imagepng($captcha);
 imagedestroy($captcha);
}

//========================================================================//
//                        VARIABLES DE LOS LINKS
//========================================================================//
global $urls;
global $nomUrl;
global $iconos;
global $texto;
global $tabla;
$urls = array("perfil","resumen","evaluar","Instituciones","curso","pregunta","usuarios","configuracion","acerca_nosotros","salir");
$nomUrl = array("Mi Cuenta","Resumen","Procesar Evaluación","Instituciones Educativas","Cursos o Materias","Desarrollar Preguntas","Usuarios","Ajustes","Informes y Manuales","Cerrar Sesión");
$iconos = array("-user","-stats","-credit-card","-align-left","-align-right","-tags","-book","-cog","-pushpin","-off");
$texto = array("Mi Cuenta","Resumen","Procesar Evaluación","Instituciones Educativas","Materias o Cursos","Desarrollar Preguntas","Usuarios registrados","Ajustes de configuración","Acerca de nosotros","Cerrar sesión");
$tabla = array("usuarios","","examenes","","materias","preguntas","usuarios","","","");

//==============================================================//
//				CONTRUCTOR DINAMICO
//==============================================================//
if(isset($_GET['links'])){
	// DEFINICION DE SALIDAS
	$equipo=VerificaEquipo('mobile');
	if($equipo){
		$cabeza=cabeceraBoxMovil($login);
	}else{
		$cabeza=cabeceraBox($login, $grupoId);
	}
	$menus=menuInicio($urls,$iconos,$nomUrl,$userId,$nivel);
	$cuerpo;
	switch($_GET['links']){
		case $urls[0]:
			$cuerpo=TituloLink($texto[0],$nivel);
			$cuerpo1=MiPerfil_Inst($userId,$login,$urls[0],$grupoId);
		break;
		case $urls[1]:
			$cuerpo=TituloLink($texto[1],$nivel);
			if($nivel == '1' ){
				$cuerpo1= ResumenDREP($userId);
			}else if($nivel == '2' ){
				$cuerpo1= ResumenUGEL($login,$grupoId);
			}else if($nivel == '3' ){
				$cuerpo1= Resumen($login);
			}
		break;
		case $urls[2]:
			// VINEL DE USUARIO
			if($nivel=='1' || $nivel=='2'){
				$cuerpo=TituloLink($texto[2],$nivel,'true',NULL);
				$cuerpo1=TablaProceso($userId, $grupoId, $_GET['page'], $_GET['busca']);
				$cuerpo4=Emergente($nomUrl[2],$urls[2],$userId,$grupoId,$nivel);
			}else{
				$cuerpo1=Procesado($login, $nivel, $urls[2], $grupoId);
				$cuerpo=TituloLink($texto[2],$nivel);
			}
		break;
		case $urls[3]:
			$cuerpo=TituloLink($texto[3],$nivel,NULL,$nomUrl[3]);
		break;
		case $urls[4]:
			$cuerpo=TituloLink($texto[4],$nivel,NULL,$nomUrl[4]);
			$cuerpo1= VerTabla(0);
			$cuerpo4=Emergente($nomUrl[4],$urls[4],$userId,$grupoId,$nivel);
		break;
		case $urls[5]:
			$cuerpo=TituloLink($texto[5],$nivel,$nomUrl[5]);
			$cuerpo4=Emergente($nomUrl[5],$urls[5],$userId,$grupoId,$nivel);
		break;
		case $urls[6]:
			if($nivel=='1'){
				$cuerpo=TituloLink($texto[6],$nivel,'true',$nomUrl[6]);
				$filtra=0;
			}else{
				$cuerpo=TituloLink($texto[6],$nivel,'true','');
				$filtra=4;
			}
			$cuerpo1=TablaUsuario($userId,$grupoId,$filtra,$_GET['page'],NULL,$_GET['fechaI'],$_GET['fechaF']);
			$cuerpo4=Emergente($nomUrl[6],$urls[6],$userId,$grupoId,$nivel);
		break;
		case $urls[7]:
			$cuerpo=TituloLink($texto[7],$nivel);
			$cuerpo1= Importar($nivel);
		break;
		case $urls[8]:
			$cuerpo=TituloLink($texto[8],$nivel);
			$cuerpo1 = AcercaDe();
		break;
		case $urls[9]:
			session_unset();
			session_destroy();
			$redir='Cerrando su sesión . . . . .
			<script language="javascript">
				function goTo(url){
					window.location.href = url;
				}
				setTimeout(goTo("resumen"), 7000);
			</script>';
		$cuerpo=TituloLink("Cerrar sesión", $nivel).$redir;
		break;
		default:
			header("location:../index.php");
	}
	if($_GET['tipo']){
		$mensaj=Mensaje($_GET['tipo'],$_GET['texto'],$_GET['links']);
	}
	echo html_entity_decode('<div class="wrapper">
          <header class="main-header">
			<!-- MAIN HEADER -->
			'.$cabeza.'
          </header>
          <!-- Left side column. contains the logo and sidebar -->
          <aside class="main-sidebar">
            <!-- sidebar: style can be found in sidebar.less -->
            <section class="sidebar">
              <!-- MAIN MENU LEFT -->
			  '.$menus.'
            </section>
            <!-- /.sidebar -->
          </aside>
		  <!-- Content Wrapper. Contains page content -->
		  <div class="content-wrapper">
			<!-- Main content -->
			<section class="content">
				<div class="row">
					<div class="col-xs-12">
						<div class="box box-info" id="Imprimir">
								'.$mensaj.'
							<div class="box-header with-border">
								<!-- TITULO BOTONES -->
								'.$cuerpo.'
							</div>
							<!-- /.box-header -->
							<div id="tablax" class="box-body">
								<!-- CONSTRUCTOR DE TABLAS -->
								'.$cuerpo1.'
							</div>
							<!-- /.box-body -->
						</div>
						<!-- /.box -->
					</div>
					<!-- /.col -->
				</div>
				<!-- /.row -->
			</section>
			<!-- /.Main-content -->
		  </div>
		  <!-- /.content-wrapper -->
		  '.$cuerpo4.'
		  <script type="text/javascript">
			'.MyScript($_GET['links'],$urls).'
		  </script>
		  <footer class="main-footer">Gracias por usar nuestro servicio. '.$compilado.'</footer>
		  <div class="control-sidebar-bg"></div>
		</div>
		<!-- ./wrapper -->');
}

//==============================================================//
//  			CABECERA PRINCIPAL
//==============================================================//
function cabeceraBoxMovil($login){
	return '<nav class="navbar-inverse">
				<table style="width:100%">
				<tr>
				<td align="center" style="width:90%">
					<span class="navbar-brand">Administrador de Evaluaciones</span>
				</td>
				<td>
					<a href="#"  onclick="myFunction(this)" data-toggle="offcanvas" role="button">
						<div class="menux">
							<div class="bar1"></div><div class="bar2"></div><div class="bar3"></div>
						</div>
					</a>
				</td>
				</tr>
				</table>
	</nav>';
}

function cabeceraBox($login, $grupoX){
	$db = new MySQLcn();
	$consul = "SELECT nombreGrupo FROM grupos WHERE grupoId=".$grupoX;
	$db->Query($consul);
	if($db->NumRows()>0){
		$rows = $db->FetRows();
		$nomGrupo = $rows[0];
	}
	$db->Close();
	return '<a href="#" class="logo">
			<!-- mini logo for sidebar mini 50x50 pixels -->
              <span class="logo-mini">Adm Eva</span>
              <!-- logo for regular state and mobile devices -->
              <span class="logo-lg">DRE-PUNO</span>
            </a>
            <!-- Header Navbar: style can be found in header.less -->
            <nav class="navbar navbar-static-top">
            <!-- Sidebar toggle button-->
                <a href="#"  onclick="myFunction(this)" data-toggle="offcanvas" role="button">
					<div class="menux">
						<div class="bar1"></div><div class="bar2"></div><div class="bar3"></div>
					</div>
                </a>
                <div class="navbar-custom-menu">
                    <ul class="nav navbar-nav">
						<li class="nav-item active">
							<a class="nav-link" href="http://www.drepuno.gob.pe/" target="_blank">DIRECCIÓN REGIONAL DE EDUCACIÓN PUNO <span class="sr-only">(current)</span></a>
						</li>
						<li class="nav-item active">
							<a class="nav-link" href="">'.strtoupper($nomGrupo).' <span class="sr-only">(current)</span></a>
						</li>
                        <li class="dropdown user user-menu">
                          <a href="#" class="dropdown-toggle" data-toggle="dropdown">
							<img src="http:logo/Users.png"  class="user-image">
                            <span class="hidden-xs">'.$login.'</span>
                          </a>
                          <ul class="dropdown-menu" role="menu" style="width: 164px;">
                              <li><a href="salir"><i class="glyphicon glyphicon-off"></i> Cerrar Sesión</a></li>
                          </ul>
                        </li>
                    </ul>
                </div>
            </nav>';
}

//==============================================================//
//  			MENU IZQUIERDO
//==============================================================//
function menuInicio($urls,$iconos,$nomUrl,$userId,$nivel){
	$db = new MySQLcn();
	$consul = "SELECT valor FROM configurar WHERE clave='Menu' AND usersId=".$userId;
	$db->Query($consul);
	if($db->NumRows()>0){
		$rows = $db->FetRows();
		$menu = explode(",",$rows[0]);
		$count = count($iconos);
		for($i = 0; $i < $count; $i++){
			if($nivel == '3'){
				if($i == $menu[$i]){
					$menux[]='<li class="active"><a href="'.$urls[$i].'"><i class="glyphicon glyphicon'.$iconos[$i].'"></i> <span>'.$nomUrl[$i].'</span></a></li>'."\n";
					$salir.='<li class="active"><a href="'.$urls[$i].'"><i class="glyphicon glyphicon'.$iconos[$i].'"></i> <span>'.$nomUrl[$i].'</span></a></li>'."\n";
					$coun++;
				}
			}else{
				if($i == $menu[$i])
					$salir.='<li class="active"><a href="'.$urls[$i].'"><i class="glyphicon glyphicon'.$iconos[$i].'"></i> <span>'.$nomUrl[$i].'</span></a></li>'."\n";
			}
		}
	}
	if($coun == 5)
		$salir=$menux[0].$menux[2].$menux[1].$menux[3].$menux[4];
	$db->Close();
	$crear='<ul class="sidebar-menu">
			  <li class="header"><!-- MAIN NAVIGATION --></li>
			  '.$salir.'
			  </ul>';
	return $crear;
}


function MyScript($links,$urls){
	$miScript='function printDiv(nombreDiv){
			 var contenido= document.getElementById(nombreDiv).innerHTML;
			 var contenidoOriginal= document.body.innerHTML;
			 document.body.innerHTML = contenido;
			 window.print();
			 document.body.innerHTML = contenidoOriginal;
		}';
	if($links == $urls[0]){
		$miScript.='';
	}else if($links == $urls[1]){
		$miScript.='';
	}else if($links == $urls[2]){
		$miScript.='';
	}else if($links == $urls[3]){
		$miScript.='';
	}else if($links == $urls[4]){
		$miScript.='';
	}else if($links == $urls[5]){
		$miScript.='';
	}else if($links == $urls[6]){
		$miScript.='';
	}else if($links == $urls[7]){
		$miScript.='';
	}else if($links == $urls[8]){
		$miScript.='';
	}else if($links == $urls[9]){
		$miScript.='';
	}
	return $miScript;
}

//==============================================================//
//				TITULO DE LOS CUERPOS
//==============================================================//
function TituloLink($nombre,$nivel,$btnBus=NULL,$btnNom=NULL){
	$btnAdd='<div class="box-tools pull-right">';
	if($nivel != '3' && $btnBus != NULL){
		$btnAdd.='<div class="input-group" style="display: inline;"><input type="text" id="busca" class="form-control" style="width:120px;" placeholder="Buscar..." name="search">
          <button class="btn btn-info" type="button" onclick="Paginar(0)">
            <i class="glyphicon glyphicon-search"></i>
          </button>
        </div>&nbsp;';
	}
	if($btnNom!=NULL){
		$btnAdd.='<button type="button" class="btn btn-info btnModal" data="new" data-src="" data-toggle="modal" data-target="#myModal">
					<i class="glyphicon glyphicon-plus"></i> '.$btnNom.'</button>&nbsp;';
	}
	$btnAdd.='<button type="button" class="btn btn-info" onclick=printDiv("Imprimir") >
				<i class="glyphicon glyphicon-print"></i> Imprimir</button>
			</div>';

	return '<h3 class="box-title">'.$nombre.'</h3>'."\n".$btnAdd."\n";
	//return $btnNav;
}


//==============================================================//
//				DATOS DE LA TABLAS USUARIOS
//==============================================================//
function TablaUsuario($userX, $grupoX, $tipoX, $pagina, $busca){
	$db = new MySQLcn();
	if($userX=='1')
		$registros = 100;
	else
		$registros = 50;
	$contador = 1;
	if(!$pagina){ 
		$inicio = 0;
		$num = 0;
		$pagina = 1; 
	} else { 
		$inicio = ($pagina - 1) * $registros;
		$num = $inicio;
	}
	if($busca == NULL || $busca == ''){
		if($grupoX == 1){
			$consul="SELECT * FROM usuarios ";
		}else{
			$consul="SELECT * FROM usuarios WHERE grupoId = $grupoX ";
		}
	}else{
		if($grupoX == 1){
			$consul="SELECT * FROM usuarios WHERE nombres LIKE '%$busca%' OR users LIKE '%$busca%'";
		}else{
			$consul="SELECT * FROM usuarios WHERE grupoId = $grupoX AND ( nombres LIKE '%$busca%' OR users LIKE '%$busca%' )";
		}
	}
	$db->Query($consul);
	$filaTotal=$db->NumRows();
	
	$tablex='<tr class="bg-primary"><th class="bg-primary">Nro.</th><th class="bg-primary">Nombres</th><th class="bg-primary">Usuario</th><th class="bg-primary">Nivel</th><th class="bg-primary">Grupo</th><th class="bg-primary">Acción</th></tr>';
	$consul="CALL VerUsuarios($grupoX,$tipoX,'".$busca."','',$inicio,$registros)";
	$db->Query($consul);
	if($db->NumRows()>0){
		while ($row = $db->FetRows()){
			$num++;
				$filas.='<tr><td scope="row">'.$num.'</td><td scope="row">'.$row[1].'</td><td scope="row">'.$row[2].'</td><td scope="row">'.$row[3].'</td><td scope="row">'.$row[4].'</td>
						<td scope="row"><button class="btn btn-success btnModal" data="edit" data-src="'.$row[0].'" data-toggle="modal" data-target="#myModal"><i class="glyphicon glyphicon-pencil"></i></button></td></tr>'."\n";
		}
	}
	$paginaTotal = ceil($filaTotal / $registros);
	
	$db->Close();

	if($filaTotal){
		$pagine='<ul class="pagination pg-blue">';
		if (($pagina - 1) > 0) {
			$pagine.='<li><a href="javascript:;" onclick="Paginar('.($pagina-1).')">&laquo;</a></li>'."\n";
		} else {
			$pagine.='<li class="disabled"><a href="javascript:;" onclick="Paginar('.$pagina.')">&laquo;</a></li>'."\n";
		}
		for ($i = 1; $i <= $paginaTotal; $i++) {
			if ($pagina == $i) {
				$pagine.='<li class="active"><a href="javascript:;" onclick="Paginar('.$i.')">'.$pagina.'</a></li>'."\n";
			} else {
				$pagine.='<li><a href="javascript:;" onclick="Paginar('.$i.')">'.$i.'</a></li>'."\n";
			}	
		}
		if (($pagina + 1)<=$paginaTotal) {
			$pagine.='<li><a href="javascript:;" onclick="Paginar('.($pagina+1).')">&raquo;</a></li>'."\n";
		} else {
			$pagine.='<li class="disabled"><a href="javascript:;" onclick="Paginar('.$pagina.')">&raquo;</a></li>'."\n";
		}
		$pagine.='</ul>';
	}
	if($filaTotal < 10){
		$pagine="";
	}

	return '<table id="datosPag" class="table table-striped table-bordered table-hover">
			<thead>
				'.$tablex.'
			</thead>
			<tbody>
				'.$filas.'
			</tbody>
			</table>'."\n".$pagine;
}


//==============================================================//
//				DATOS DE LA TABLAS USUARIOS
//==============================================================//
function VerTabla($pagina){
	$db = new MySQLcn();
	$registros = 10;
	$contador = 1;
	if(!$pagina){ 
		$inicio = 0; 
		$pagina = 1; 
	} else { 
		$inicio = ($pagina - 1) * $registros;
	}
	
	$consul="SELECT * FROM materias ";
	$db->Query($consul);
	$filaTotal=$db->NumRows();
	$tablex='<tr class="bg-primary"><th class="bg-primary">Nivel</th><th class="bg-primary">Grado</th><th class="bg-primary">Curso / Materia</th><th class="bg-primary">Acción</th></tr>';
	$consul="SELECT materias.materiaId, niveles.nomNivel, grados.nomGrado, materias.nomMateria FROM materias INNER JOIN niveles ON niveles.nivelId = materias.nivelId INNER JOIN grados ON grados.gradoId = materias.gradoId WHERE 1  ORDER BY materias.fechaCreada DESC LIMIT $inicio, $registros ;";
	$db->Query($consul);
	if($db->NumRows()>0){
		while ($row = $db->FetRows())
				$filas.='<tr><td scope="row">'.$row[1].'</td><td scope="row">'.$row[2].'</td><td scope="row">'.$row[3].'</td>
						<td scope="row"><button class="btn btn-success btnModal" data="edit" data-src="'.$row[0].'" data-toggle="modal" data-target="#myModal"><i class="glyphicon glyphicon-pencil"></i></button></td></tr>'."\n";
	}
	$paginaTotal = ceil($filaTotal / $registros);
	
	$db->Close();

	if($filaTotal){
		$pagine='<ul class="pagination pg-blue">';
		if (($pagina - 1) > 0) {
			$pagine.='<li><a href="javascript:;" onclick="Paginar('.($pagina-1).')">&laquo;</a></li>'."\n";
		} else {
			$pagine.='<li class="disabled"><a href="javascript:;" onclick="Paginar('.$pagina.')">&laquo;</a></li>'."\n";
		}
		for ($i = 1; $i <= $paginaTotal; $i++) {
			if ($pagina == $i) {
				$pagine.='<li class="active"><a href="javascript:;" onclick="Paginar('.$i.')">'.$pagina.'</a></li>'."\n";
			} else {
				$pagine.='<li><a href="javascript:;" onclick="Paginar('.$i.')">'.$i.'</a></li>'."\n";
			}	
		}
		if (($pagina + 1)<=$paginaTotal) {
			$pagine.='<li><a href="javascript:;" onclick="Paginar('.($pagina+1).')">&raquo;</a></li>'."\n";
		} else {
			$pagine.='<li class="disabled"><a href="javascript:;" onclick="Paginar('.$pagina.')">&raquo;</a></li>'."\n";
		}
		$pagine.='</ul>';
	}
	if($filaTotal < 10){
		$pagine="";
	}

	return '<table id="datosPag" class="table table-striped table-bordered table-hover">
			<thead>
				'.$tablex.'
			</thead>
			<tbody>
				'.$filas.'
			</tbody>
			</table>'."\n".$pagine;
}


//==============================================================//
// 				DISTRIBUCION EMERGENTE
//==============================================================//
function Emergente($nombre,$direc,$userX,$grupoX,$nivelX){
	// $nombre: titulo de la ventana emergente.
	// $direc: direccion de la url.
	// $userX: Id del usuario activo.
	// $grupoX Id del grupo al que pertenece.
	if($nivelX=='1')
		$tipoX=3;
	else
		$tipoX=2;
	
	return '<!-- Modal Crud Start-->
			<div class="modal fade" id="myModal" role="dialog">
				<div class="modal-dialog modal-lg">
					<!-- Modal content-->
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal">&times;</button>
							<h4 class="modal-title">'.$nombre.'</h4>
						</div>
						<div class="modal-body">
							<p>Procesando, espere por favor...</p>
						</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
						</div>
					</div>
				</div>
			</div>
			<!--End Modal Crud -->
			<script type="text/javascript">
				$(document).ready(function() {

				$(".content-wrapper").on("click",".btnModal", function(e) {
				var dato = $(this).attr("data");
				$.ajax({
						url : "script/generax.php?getRegistro="+dato,
						method: "post", 
						data : {
								ids: $(this).attr("data-src"),
								users: "'.$userX.'",
								idgrupo: "'.$grupoX.'",
								urls: "'.$direc.'",
								nombre: "'.$nombre.'",
								nivel: "'.$nivelX.'"
							}
					}).done(function(data) {
						$("#myModal").find(".modal-content").html(data);
						$("#myModal").modal("show"); 
					})
				});
			});
			function Paginar(page){
				var ajaxUrl= "script/generax.php?getTabla='.$direc.'";
				var date1 = $("#IniFecha").val();
				var date2 = $("#FinFecha").val();
				var busque = $("#busca").val();
				var dataString = { "users": '.$userX.',
									"idgrupo": '.$grupoX.',
									"page": page,
									"tipo": '.$tipoX.',
									"busca": busque, 
									"fechaI": date1,
									"fechaF": date2
								};
				$.ajax({
						data:  dataString, //datos que se envian a traves de ajax
						url:   ajaxUrl, //archivo que recibe la peticion
						type:  "post", //método de envio
						beforeSend: function () {
								$("#tablax").html("Procesando, espere por favor...<img src=\"logo/loading.gif\">");
						},
						success:  function (response) { //una vez que el archivo recibe el request lo procesa y lo devuelve
								$("#tablax").html(response);
						}
				});
			}</script>';
}



//==============================================================//
//				DATOS DE LA TABLAS PROCESAMIENTO
//==============================================================//
function TablaProceso($userX, $grupoX, $pagina, $busca){
	$db = new MySQLcn();
	if($userX=='1')
		$registros = 100;
	else
		$registros = 50;
	$contador = 1;
	if(!$pagina){
		$inicio = 0;
		$num = 0;
		$pagina = 1; 
	} else {
		$inicio = ($pagina - 1) * $registros;
		$num = $inicio;
	}
	if($busca == NULL || $busca == ''){
		if($grupoX == 1){
			$consul="SELECT * FROM procesar ";
			$consulta="SELECT procesar.*, institucion.nomUgel, institucion.nivelMod FROM procesar INNER JOIN institucion ON institucion.codModular = procesar.codModular ORDER BY procesar.fechaIni DESC LIMIT $inicio, $registros ;";
		}else{
			$consul="SELECT * FROM procesar WHERE grupoId = $grupoX ";
			$consulta="SELECT procesar.*, institucion.nivelMod FROM procesar INNER JOIN institucion ON institucion.codModular = procesar.codModular  WHERE procesar.grupoId = $grupoX ORDER BY procesar.fechaIni DESC LIMIT $inicio, $registros ;";
		}
	}else{
		if($grupoX == 1){
			$consul="SELECT * FROM procesar WHERE codModular LIKE '%$busca%' ";
			$consulta="SELECT procesar.*, institucion.nomUgel, institucion.nivelMod FROM procesar INNER JOIN institucion ON institucion.codModular = procesar.codModular WHERE  procesar.codModular LIKE '%$busca%' ORDER BY procesar.fechaIni DESC LIMIT $inicio, $registros ;";
		}else{
			$consul="SELECT * FROM procesar WHERE grupoId = $grupoX AND codModular LIKE '%$busca%' ";
			$consulta="SELECT procesar.*, institucion.nivelMod FROM procesar INNER JOIN institucion ON institucion.codModular = procesar.codModular WHERE procesar.grupoId = $grupoX AND procesar.codModular LIKE '%$busca%' ORDER BY procesar.fechaIni DESC LIMIT $inicio, $registros ;";
		}
	}
	$db->Query($consul);
	$filaTotal=$db->NumRows();
	if($grupoX == 1)
		$tablex='<tr class="bg-primary"><th class="bg-primary">Nro.</th><th class="bg-primary">Cod Modular</th><th class="bg-primary">UGEL</th><th class="bg-primary">NIVEL</th><th class="bg-primary">Descarga</th><th class="bg-primary">Carga</th><th class="bg-primary">Registro</th><th class="bg-primary">Procesado</th><th class="bg-primary">Constancia</th></tr>';
	else
		$tablex='<tr class="bg-primary"><th class="bg-primary">Nro.</th><th class="bg-primary">Cod Modular</th><th class="bg-primary">NIVEL</th><th class="bg-primary">Descarga</th><th class="bg-primary">Carga</th><th class="bg-primary">Registro</th><th class="bg-primary">Procesado</th><th class="bg-primary">Constancia</th></tr>';
	
	$db->Query($consulta);
	if($db->NumRows()>0){
		if($grupoX == 1){
			while ($row = $db->FetRows()){
				$num++;
					$filas.='<tr><td scope="row">'.$num.'</td>
					<td scope="row"><button class="btn btn-success btnModal" data="ver" data-src="'.$row[1].'" data-toggle="modal" data-target="#myModal">'.$row[1].'</button></td>
					<td scope="row">'.$row[11].'</td><td scope="row">'.$row[12].'</td><td scope="row">'.$row[3].'</td><td scope="row">'.$row[4].'</td><td scope="row">'.$row[5].'</td><td scope="row">'.$row[6].'</td><td scope="row">'.$row[7].'</td></tr>'."\n";
			}
		}else{
			while ($row = $db->FetRows()){
				$num++;
					$filas.='<tr><td scope="row">'.$num.'</td>
					<td scope="row"><button class="btn btn-success btnModal" data="ver" data-src="'.$row[1].'" data-toggle="modal" data-target="#myModal">'.$row[1].'</button></td>
					<td scope="row">'.$row[11].'</td><td scope="row">'.$row[3].'</td><td scope="row">'.$row[4].'</td><td scope="row">'.$row[5].'</td><td scope="row">'.$row[6].'</td><td scope="row">'.$row[7].'</td></tr>'."\n";
			}

		}
	}
	$paginaTotal = ceil($filaTotal / $registros);
	
	$db->Close();

	if($filaTotal){
		$pagine='<ul class="pagination pg-blue">';
		if (($pagina - 1) > 0) {
			$pagine.='<li><a href="javascript:;" onclick="Paginar('.($pagina-1).')">&laquo;</a></li>'."\n";
		} else {
			$pagine.='<li class="disabled"><a href="javascript:;" onclick="Paginar('.$pagina.')">&laquo;</a></li>'."\n";
		}
		for ($i = 1; $i <= $paginaTotal; $i++) {
			if ($pagina == $i) {
				$pagine.='<li class="active"><a href="javascript:;" onclick="Paginar('.$i.')">'.$pagina.'</a></li>'."\n";
			} else {
				$pagine.='<li><a href="javascript:;" onclick="Paginar('.$i.')">'.$i.'</a></li>'."\n";
			}	
		}
		if (($pagina + 1)<=$paginaTotal) {
			$pagine.='<li><a href="javascript:;" onclick="Paginar('.($pagina+1).')">&raquo;</a></li>'."\n";
		} else {
			$pagine.='<li class="disabled"><a href="javascript:;" onclick="Paginar('.$pagina.')">&raquo;</a></li>'."\n";
		}
		$pagine.='</ul>';
	}
	if($filaTotal < 10){
		$pagine="";
	}

	return '<table id="datosPag" class="table table-striped table-bordered table-hover">
			<thead>
				'.$tablex.'
			</thead>
			<tbody>
				'.$filas.'
			</tbody>
			</table>'."\n".$pagine;
}



//==============================================================//
//				CONSTRUIR FORMULARIOS NUEVO EDITAR
//==============================================================//
if(isset($_GET['getRegistro'])){
	$db=new MySQLcn();
	$claseX=1;
	$categX=1;
	$fechaX=date("Y-m-d");
	$descripcionX="";
	$montoX="";
	$reciboX="";
	$nombre="Registrar ".$_POST['nombre'];
	
	if($_POST['urls'] == $urls[2] && $_GET['getRegistro']=='new' ){
		
	}else if($_POST['urls'] == $urls[2] && $_GET['getRegistro']=='edit' ){
		
	}else if($_POST['urls'] == $urls[2] && $_GET['getRegistro']=='ver' ){
		//VER RESUMEN
		$salida = Resumen($_POST['ids']);
		$consul="SELECT centroEdu FROM institucion WHERE codModular = '".$_POST['ids']."'";
		$db->Query($consul);
		if($db->NumRows()>0){
			$rows = $db->FetRows();
			$nombre="Resultados I. E.: ".$rows[0];
		}
		if($_POST['nivel']==1){
			$salida.='<div class="panel panel-danger">
    <div class="panel-heading">JUSTIFICACION PARA REINICIAR EL PROCESAMIENTO DE INFORMACION</div>
    <div class="panel-body"><textarea name="newProceso" rows="2" style="width: 100%; border: 0px solid #ccc;" placeholder="Por favor sea breve en su justificación..." required="required"></textarea></div>
  </div>';
			$btn=2;
		}
	}else if($_POST['urls'] == $urls[4] && $_GET['getRegistro']=='new' ){

	}else if($_POST['urls'] == $urls[4] && $_GET['getRegistro']=='edit' ){

	}else if($_POST['urls'] == $urls[6] && $_GET['getRegistro']=='new' ){
		$btn=1;
	}else if($_POST['urls'] ==  $urls[6] && $_GET['getRegistro']=='edit' ){
		// CONSTRURTOR DE USUARIOS PARA EDITAR
		$btn=1;
		$cons="SELECT usuarios.*, configurar.configId, configurar.valor FROM usuarios INNER JOIN configurar ON configurar.clave='Menu' AND configurar.usersId = usuarios.usersId WHERE usuarios.usersId=".$_POST['ids'];
		$db->Query($cons);
		if($db->NumRows()>0){
			$rows = $db->FetRows();
			$grupoIdX = $rows[1];
			$nombresX = $rows[2];
			$usuarioX = $rows[3];
			$nivelX = $rows[5];
			$estadoX = $rows[6];
			$emailX = $rows[7];
			$telefo = $rows[8];
			$perfil = $rows[9];
			$configX =  $rows[11];
			if($nivelX == '2'){
				$check = array("-","-","2","3","-","-","6","7","-","-");
				$checkUs="-";
				$checkRe="-";
			}
			if($nivelX == '3'){
				$check = array("0","1","2","3","-");
				$checkUs="-";
				$checkRe="-";
			}
			$checkBox = ArrayCheckBox($check,$rows[12],$nomUrl);
		}
		if($estadoX == '1')
			$estado1="selected";
		else
			$estado0="selected";
		$flag="readonly";
		$claves='<h4>Activar Restablecer Contraseña:</h4><div class="form-check">
    <input type="checkbox" name="restablecer" class="form-check-input" id="exampleCheck1" value="On">
    <label class="form-check-label" for="exampleCheck1">Restablecer Contraseña</label>
  </div>';
	}
	//==============================================================//
	
	
	
	if($_POST['urls'] ==  $urls[2]){
		
	}else if($_POST['urls'] ==  $urls[4]){
		// categoria creado por datos
	
		$selectNiv = 0;
		$selectGrado = 1;
		
		$cons="SELECT nivelId, nomNivel FROM niveles ";
		$db->Query($cons);
		while($row = $db->FetRows()){
			if($selectNiv == $row[0])
				$filaNivel.='<option value="'.$row[0].'" selected>'.$row[1].'</option>'."\n";
			else
				$filaNivel.='<option value="'.$row[0].'" >'.$row[1].'</option>'."\n";
		}
		$cons="SELECT gradoId, nomGrado FROM grados WHERE nivelId=".$selectGrado;
		$db->Query($cons);
		while($row = $db->FetRows()){
			if($selectNiv == $row[0])
				$filaGrado.='<option value="'.$row[0].'" selected>'.$row[1].'</option>'."\n";
			else
				$filaGrado.='<option value="'.$row[0].'" >'.$row[1].'</option>'."\n";
		}
		$salida= '<div class="row">
				  <div class="col-sm-6">
					<label for="niveX">Nivel Educativo:</label>
					<select name="niveX" id="niveX" class="form-control" required>
						'.$filaNivel.'
					</select>
				  </div>
				  <div class="col-sm-6">
					<label for="gradoX">Grado Educativo:</label>
					<select name="gradoX" id="gradoX" class="form-control" required>
						'.$filaGrado.'
					</select>
				  </div>
			</div>
			<div class="input-group">
						<span class="input-group-addon">Curso</span>
						<input type="text" name="curso" id="curso" class="form-control" placeholder="Ingrese Nombre del Curso o Asignatura" value="">
					  </div>';
	}else if($_POST['urls'] ==  $urls[5]){
		// categoria creado por datos
	
		$elige = 0;
		$selectGrado = 1;
		
		$cons="SELECT nivelId, nomNivel FROM niveles ";
		$db->Query($cons);
		while($row = $db->FetRows()){
			if($elige == $row[0])
				$filaNivel.='<option value="'.$row[0].'" selected>'.$row[1].'</option>'."\n";
			else
				$filaNivel.='<option value="'.$row[0].'" >'.$row[1].'</option>'."\n";
		}
		$cons="SELECT gradoId, nomGrado FROM grados WHERE nivelId=".$selectGrado;
		$db->Query($cons);
		while($row = $db->FetRows()){
			if($elige == $row[0])
				$filaGrado.='<option value="'.$row[0].'" selected>'.$row[1].'</option>'."\n";
			else
				$filaGrado.='<option value="'.$row[0].'" >'.$row[1].'</option>'."\n";
		}
		$cons="SELECT materiaId, nomMateria FROM materias WHERE nivelId = $selectGrado AND gradoId=".$selectGrado;
		$db->Query($cons);
		while($row = $db->FetRows()){
			if($elige == $row[0])
				$filaCurso.='<option value="'.$row[0].'" selected>'.$row[1].'</option>'."\n";
			else
				$filaCurso.='<option value="'.$row[0].'" >'.$row[1].'</option>'."\n";
		}
		$salida= '<div class="row">
				  <div class="col-sm-3">
					<label for="niveX">Nivel Educativo:</label>
					<select name="niveX" id="niveX" class="form-control" required>
						'.$filaNivel.'
					</select>
				  </div>
				  <div class="col-sm-3">
					<label for="gradoX">Grado Educativo:</label>
					<select name="gradoX" id="gradoX" class="form-control" required>
						'.$filaGrado.'
					</select>
				  </div><div class="col-sm-6">
					<label for="gradoX">Curso / Materia:</label>
					<select name="gradoX" id="gradoX" class="form-control" required>
						'.$filaCurso.'
					</select>
				  </div>
			</div>
			<div class="form-group">
					<label for="pregunta">Ingrese la Pregunta <span class="text-red"> *</span></label>
					<textarea class="form-control" name="pregunta" id="pregunta" rows="3" placeholder="Ingrese la pregunta">'.$preguntaX.'</textarea>
				</div>
				<label for="pregunta">Ingrese las Respuestas <span class="text-red"> *</span></label>
					<div class="input-group">
						<span class="input-group-addon"><b>a</b> )</span>
						<input type="text" name="rpta1" id="rpta1" class="form-control" placeholder="Ingrese respuesta a la alternatva a)" value="'.$rpta1.'">
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>b</b> )</span>
						<input type="text" name="rpta2" id="rpta2" class="form-control" placeholder="Ingrese respuesta a la alternatva b)" value="'.$rpta2.'">
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>c</b> )</span>
						<input type="text" name="rpta3" id="rpta3" class="form-control" placeholder="Ingrese respuesta a la alternatva c)" value="'.$rpta3.'">
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>d</b> )</span>
						<input type="text" name="rpta4" id="rpta4" class="form-control" placeholder="Ingrese respuesta a la alternatva d)" value="'.$rpta4.'">
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>e</b> )</span>
						<input type="text" name="rpta5" id="rpta5" class="form-control" placeholder="Ingrese respuesta a la alternatva e)" value="'.$rpta5.'">
					</div>
					<div class="input-group">
						<span class="input-group-addon">Asigne la Respuesta Correcta</span>
						<select name="estados" id="estados" class="form-control">
							<option value="1" '.$estado1.'>a)</option>
							<option value="2" '.$estado1.'>b)</option>
							<option value="3" '.$estado1.'>c)</option>
							<option value="4" '.$estado1.'>d)</option>
							<option value="5" '.$estado1.'>e)</option>
						</select>
					</div>';
	}else if($_POST['urls'] ==  $urls[6]){
	//============================USUARIOS===============================//		
		if($_POST['nivel'] == '1'&& $_GET['getRegistro']!='edit'){
			$checkUs="0";
			$checkRe="1";
			$crearGrupo='<h4>Informacion del Grupo:</h4>
			<div class="row">
				  <div class="col-sm-8">
					<label for="nomGrupo">Nombre del Grupo:</label>
					<input type="text" name="nomGrupo" id="nomGrupo" class="form-control" placeholder="Ingrese Nombre del Grupo" required="required" value="">
				  </div>
				  <div class="col-sm-4">
					<label for="periodo">Periodo en años:</label>
					  <div class="input-group">
						<span class="input-group-addon">Año</span>
						<input type="text" name="periodo" id="periodo" class="form-control" disabled placeholder="Periodo en años" value="1">
					  </div>
				  </div>
			</div>';
		}else{
			$crearGrupo='';
			$checkUs="-";
			$checkRe="-";
		}
		if($_GET['getRegistro']=='new'){
			if($_POST['nivel'] == '1')
				$check = array("-","-","2","3","-","-","6","7","-","-");
			if($_POST['nivel'] == '2')
				$check = array("0","1","2","3","-");
			$checkBox = ArrayCheckBox($check,"",$nomUrl);
			$claves='<div class="row">
			  <div class="col-sm-6">
				  <label for="password">Asigne una contraseña: </label><span id="errorClave" style="color:red;"></span>
				  <div class="input-group">
					<span class="input-group-addon"><i class="glyphicon glyphicon-pencil"></i></span>
					<input type="password" name="password1" id="password1" class="form-control" placeholder="Asigne contraseña" required="required">
				  </div>
              </div>                       
              <div class="col-sm-6">
				  <label for="confirmPassword">Confirmar Contraseña: </label><span id="errorClaves" style="color:red;"></span>
				  <div class="input-group">
					<span class="input-group-addon"><i class="glyphicon glyphicon-pencil"></i></span>
					<input type="password" name="password2" id="password2" class="form-control" placeholder="Asigne contraseña" required="required">
				  </div>
			  </div>
			</div>';
		}
	// MOSTRAR SALIDA DEL REGISTRO USUARIO
		$salida= $crearGrupo.'
			<h4>Informacion Personal:</h4>
			<div class="input-group">
				<span class="input-group-addon"><i class="glyphicon glyphicon-home"></i></span>
				<input type="text" id="nombre" name="nombre" class="form-control" placeholder="Ingrese Nombre y Apellido" required="required" value="'.$nombresX.'">
		    </div>
			<div class="input-group">
				<span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>
				<input type="text" name="email" id="email" class="form-control" placeholder="Nombre del Usuario" value="'.$perfil.'">
		    </div>
			<div class="input-group">
				<span class="input-group-addon"><i class="glyphicon glyphicon-earphone"></i></span>
				<input type="text" name="email" id="email" class="form-control" placeholder="Nro. Telefonico" value="'.$telefo.'">
		    </div>
			<div class="input-group">
				<span class="input-group-addon"><i class="glyphicon glyphicon-envelope"></i></span>
				<input type="text" name="email" id="email" class="form-control" placeholder="Email" value="'.$emailX.'">
		    </div>
            <h4>Usuario y Contraseña:</h4>
			<div class="row">
			  <div class="col-sm-8">
				  <label for="usuario">Designar Nombre Usuario:</label>
				  <div class="input-group">
					<span class="input-group-addon"><i class="glyphicon glyphicon-lock"></i></span>
					<input type="text" id="usuario" name="usuario" class="form-control" '.$flag.' required="required" placeholder="Ingrese Nombre de Usuario:" value="'.$usuarioX.'">
				  </div>
			  </div>
			  <div class="col-sm-4">
				<label for="estados">Estado del Usuario:</label>
				<select name="estados" id="estados" class="form-control">
					<option value="1" '.$estado1.'>Activado</option>
					<option value="0" '.$estado0.'>Desactivado</option>
				 </select>
			  </div>
			</div>
			'.$claves.'
			<h4>Usuario administrara:</h4>
			<div class="row">
			'.$checkBox.'
			</div>';
		$sugiere='function checkFunc(){
				var check0 = "'.$checkUs.'";
				var check1 = "'.$checkRe.'";
				var check2 = "-";
				var check3 = "-";
				var check4 = "-";
				var check5 = "-";
				var check6 = "-";
				var check7 = "-";
				var check8 = "8";
				var check9 = "9";
				var salida = "";
				var restri = document.getElementById("nivel");
				var chk0 = document.getElementById("check0");
				var chk1 = document.getElementById("check1");
				var chk2 = document.getElementById("check2");
				var chk3 = document.getElementById("check3");
				var chk6 = document.getElementById("check6");
				var chk7 = document.getElementById("check7");
				if(restri.value != "1"){
					if(chk0.checked) check0="0"; else check0="-";
					if(chk1.checked) check1="1"; else check1="-";
				}
				if(chk2.checked) check2="2"; else check2="-";
				if(chk3.checked) check3="3"; else check3="-";
				if(chk6.checked) check6="6"; else check6="-";
				if(chk7.checked) check7="7"; else check7="-";
				salida = check0 + "," + check1 + "," + check2 + "," + check3 + "," + check4 + "," + check5 + "," + check6 + "," + check7 + "," + check8 + "," + check9;
				document.getElementById("valorMenu").value=salida;
				}
				$(function () {
				$("#procesa").validator();
				});
				$("#password1, #password2").on("keyup", function () {
				  if ($("#password1").val() == $("#password2").val()) {
					$("#errorClave").html(" Igual").css("color", "green");
					$("#errorClaves").html(" Igual").css("color", "green");
				  } else {
					$("#errorClave").html(" No Igual").css("color", "red");
					$("#errorClaves").html(" No Igual").css("color", "red");
				  }
				});checkFunc()';
	}
	$db->Close();
	/*
	if($btn == NULL){
		$boton='<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>';
	}else if($btn=2){
		$boton='<input type="button" class="btn btn-danger" data-dismiss="modal" value="Cancelar">
		<input type="submit" name="guarde" id="guarde" value="Reiniciar" class="btn btn-primary btn-color">';
	}else{
		$boton='<input type="button" class="btn btn-danger" data-dismiss="modal" value="Cancelar">
		<input type="submit" name="guarde" id="guarde" value="Guardar" class="btn btn-primary btn-color">';
	}
	*/
	if($btn == 1){
		$boton='<input type="button" class="btn btn-danger" data-dismiss="modal" value="Cancelar">
		<input type="submit" name="guarde" id="guarde" value="Guardar" class="btn btn-primary btn-color">';
	}else if($btn == 2){
		$boton='<input type="button" class="btn btn-danger" data-dismiss="modal" value="Cancelar">
		<input type="submit" name="guarde" id="guarde" value="Reiniciar" class="btn btn-primary btn-color">';
	}else{
		$boton='<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>';
	}
	// salida de datos
	echo html_entity_decode('<!--Inicio del Formulario -->
	<form name="procesa"  id="procesa" action="script/generax.php" method="post" enctype="multipart/form-data" style="padding: 0px 20px">
	<input type="hidden" name="Guardar" value="'.$_GET['getRegistro'].'" />
	<input type="hidden" name="registroId" value="'.$_POST['ids'].'" />
	<input type="hidden" name="iduser" id="iduser" value="'.$_POST['users'].'" />
	<input type="hidden" name="idgrupo" id="idgrupo" value="'.$_POST['idgrupo'].'" />
	<input type="hidden" name="urls" id="urls" value="'.$_POST['urls'].'" />
	<input type="hidden" name="nivel" id="nivel" value="'.$_POST['nivel'].'" />
	<input type="hidden" name="modular" id="modular" value="'.$usuarioX.'" />
	<input type="hidden" name="configX" id="configX" value="'.$configX.'" />
	<input type="hidden" name="valorMenu" id="valorMenu" value="" />
	<div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">×</button>
		<h3 class="box-title">'.$nombre.'</h3>
	</div>
	<div class="modal-body">
		'.$salida.'
	</div>
	<div class="modal-footer">
		'.$boton.'
	</div>
	</form>
	<!--Fin del Formulario -->
	<script type="text/javascript">
	//FUNCION DE SOLICITUD
	'.$sugiere.'
	$(document).ready(function(){
		$("#clasificar").change(function(e) {
			$.get("script/generax.php?get'.$_POST['urls'].'="+$(this).val(), function(result){
				$("#'.$_POST['urls'].'").html(result);
			});
		});
	});
	</script>');
}

//==============================================================//
//  			INSERTAR REGISTROS NUEVOS Y EDITADOS
//==============================================================//
if(isset($_POST['Guardar'])){
	$direc=$urls[1];
	$db = new MySQLcn();
	if($_POST['urls'] == $urls[0] ){
		$direc=$urls[0];
	}else if($_POST['urls'] == $urls[1] ){
		$direc=$urls[1];
	}else if($_POST['urls'] == $urls[2] && $_POST['Guardar'] =="new" ){
		$direc=$urls[2];
		$consul = "";
		$tipo="info";
	}else if($_POST['urls'] == $urls[2] && $_POST['Guardar'] =="edit" ){
		$direc=$urls[2];
		$consul = "";
		$tipo="success";
	}else if($_POST['urls'] == $urls[2] && $_POST['Guardar'] =="ver" ){
		$direc=$urls[2];
		$consul="SELECT procesaId FROM procesar WHERE codModular = ".$_POST['registroId'];
		$db->Query($consul);
		if($db->NumRows()>0){
			$rows = $db->FetRows();
			$consul = "DELETE FROM alumnos WHERE codModular=".$_POST['registroId'];
			$db->UpdateDb($consul);
			$consul = "DELETE FROM prueba WHERE codModular=".$_POST['registroId'];
			$db->UpdateDb($consul);
			$consul = "UPDATE procesar SET cargar = NULL , registro = NULL , procesado = NULL , constancia = NULL, fechaFin = NULL WHERE procesaId = ".$rows[0];
			$db->UpdateDb($consul);
			$consul = "UPDATE procesar SET Observacion = '".$_POST['newProceso']."' WHERE procesaId = ".$rows[0];
		}
		$result ="Iniciar el Procesamiento de Evaluaciones: ".$_POST['registroId'];
		$tipo="success";
	}else if($_POST['urls'] == $urls[6] && $_POST['Guardar'] =="new" ){
		$direc=$urls[6];
		// COMPROBAR SI EL USUARIO EXISTE
		$usuarioX=$_POST['usuario'];
		$consul = "SELECT users FROM usuarios WHERE users = '$usuarioX' ";
		$db->Query($consul);
		if($db->NumRows()>0){
			$result="El Nombre de Usuario ya esta Registrado";
			$consul="";
		}else{
			//INGRESAR GRUPO
			if($_POST['nivel'] == '1'){
				$nomGrupoX=$_POST['nomGrupo'];
				$periodoX=$_POST['periodo'];
				$consul = "INSERT INTO grupos VALUES (NULL , 0 , '$nomGrupoX' , NOW() , DATE_ADD( NOW(), INTERVAL 1 YEAR));";
				$grupoIdX = $db->InsertaDb($consul);
			}else{
				$grupoIdX = $_POST['idgrupo'];
			}
			// INGRESAR USUARIO
			$nombreX=$_POST['nombre'];
			$claveX=$_POST['password1'];
			$nivelX =($_POST['nivel']+1);
			$estadoX=$_POST['estados'];
			$emailX=$_POST['email'];
			$perfilX = "";
			$consul = "INSERT INTO usuarios VALUES (NULL, $grupoIdX ,'$nombreX', '$usuarioX', '$claveX', $nivelX, $estadoX, '$emailX','', '$perfilX', NOW());";
			$idUserX=$db->InsertaDb($consul);
			// MODIFICAR INFORMACION DEL GRUPO
			if($_POST['nivel'] == '1'){
				$consul = "UPDATE grupos SET usersId = $idUserX WHERE grupoId = $grupoIdX ;";
				$db->UpdateDb($consul);
			}
			// INGRESAR NUEVA CONFIGURACION DEL USUARIO
			$valorX = $_POST['valorMenu'];
			$consul = "INSERT INTO configurar VALUES (NULL, $idUserX ,$nivelX, 'Menu', '$valorX','');";
		}
		$tipo="info";
	}else if($_POST['urls'] == $urls[6] && $_POST['Guardar'] == "edit" ){
		// INGRESAR NUEVA CONFIGURACION DEL USUARIO
		$direc=$urls[6];
		$claveX = "Menu";
		$valorX = $_POST['valorMenu'];
		$claveX = $_POST['modular'];

		if($_POST['restablecer'] == 'On'){
			$consul = "UPDATE usuarios SET clave = '$claveX' WHERE usersId = ".$_POST['registroId'];
			if($db->UpdateDb($consul))
				$result = "Contraseña Restablecida.";
		}
		if($result == "")
			$result="Configuracion Guardada. ".$valorX;
		$consul = "UPDATE configurar SET valor = '$valorX' WHERE configId = ".$_POST['configX'];
		$tipo="success";
	}else if($_POST['urls'] == $urls[7] ){
		$direc=$urls[7];
	}else if($_POST['urls'] == $urls[8] ){
		$direc=$urls[8];
	}else if($_POST['urls'] == $urls[9] ){
		$direc=$urls[9];
	}
	// VERIFICAR REGISTRO
	if($_POST['Guardar'] =="new" && $result == ""){
		$result=$_POST['urls']." : Sus datos insertados con éxito ";
	}else if($_POST['Guardar'] =="edit" && $result == ""){
		$result=$_POST['urls']." : Tus datos actualizados con éxito ";
	}
	if($consul != NULL || $consul !=""){
		$db->UpdateDb($consul);
	}else{
		$tipo="danger";
	}
	if(mysql_errno()){
		$result=mysql_error();
		$tipo="danger";
	}
	$db->Close();
	$enlace="index.php?links=".$direc."&tipo=".$tipo."&texto=".$result;
	header("location:../".$enlace);
}


if(isset($_GET['getTabla'])){
	if($_GET['getTabla'] == $urls[2] ){
		echo TablaProceso($_POST['users'], $_POST['idgrupo'], $_POST['page'], $_POST['busca']);
	}else if($_GET['getTabla'] == $urls[6] ){
		echo TablaUsuario($_POST['users'],$_POST['idgrupo'],$_POST['tipo'],$_POST['page'],$_POST['busca'],$_POST['fechaI'],$_POST['fechaF']);
	}
}


//==============================================================//
//				SOBRE MI PERFIL
//==============================================================//
function MiPerfil_Inst($usersId,$login,$urlsX,$grupoId){
	$db = new MySQLcn();
	if($usersId=='1')
		$cons="SELECT email, telefono FROM usuarios WHERE usersId = ".$usersId;
	else
		$cons="SELECT institucion.*, usuarios.email, usuarios.telefono FROM institucion INNER JOIN usuarios ON usuarios.users = institucion.codModular WHERE institucion.codModular=".$login;
	
	$db->Query($cons);
	$disableClave="disabled";
	if($db->NumRows()>0){
		$data = $db->FetRows();
		if($usersId=='1'){
			$email=$data[0];
			$perfil=$data[1];
		}else{
			$email=$data[18];
			$perfil=$data[19];
		}
		if($data[8] != NULL || $data[8] != NULL )
			$disableClave="";
	}else
		$error="No encontrada";

	if($usersId =='1'){
		$bloque = "disabled";
	}
	
	if( $data[14] == NULL || $data[14]== ""){
		$selec = '<select name="dato14" id="dato14" class="form-control" required="required">
					<option value="" selected disabled hidden>SELECCIONE LENGUA ETNICA</option>
					<option value="CASTELLANO" >CASTELLANO</option>
					<option value="AYMARA" >AYMARA</option>
					<option value="QUECHUA" >QUECHUA</option>
				</select>';
	}else{
		if($data[14]=="CASTELLANO")
			$selec1 = "selected";
		else if($data[14]=="AYMARA")
			$selec2 = "selected";
		else if($data[14]=="QUECHUA")
			$selec3 = "selected";
		//$selec = '<input type="text" name="dato14" id="dato14" class="form-control" value="'.$data[14].'" readonly>';
		$selec = '<select name="dato14" id="dato14" class="form-control" required="required">
					<option value="CASTELLANO" '.$selec1.'>CASTELLANO</option>
					<option value="AYMARA" '.$selec2.' >AYMARA</option>
					<option value="QUECHUA" '.$selec3.' >QUECHUA</option>
				</select>';
	}
	
	
	$db->Close();
		
	return '<div class="box-body">
		<div class="row">
			<div class="col-sm-4">
			<form action="script/savex.php" method="post" enctype="multipart/form-data" class="form-label-left">
				<input type="hidden" name="urls" id="urls" value="'.$urlsX.'" />
				<input type="hidden" name="users_id" value="'.$usersId.'">
				<input type="hidden" name="nomDirec" id="nomDirec" value="">
				<h4>Infomacion del Usuario:</h4>
				<div class="pic_size" id="image-holder">
					<center> <img class="thumb-image setpropileam" src="logo/Users.png" width="140" height="140"></center>
				</div>
				
				<div class="form-group has-feedback clear-both">
		            <label for="exampleInputemail">E-mail:</label>
		            <input type="text" name="email" id="email" value="'.$email.'" required="required" class="form-control" placeholder="Ingrese su correo electronico">
		            <span class="glyphicon glyphicon-edit form-control-feedback"></span>
		        </div>
				
				<div class="form-group has-feedback clear-both">
		            <label for="exampleInputname">Nro. Telefonico Personal:</label>
		            <input type="text" name="perfil"  onKeyPress="return soloNumeros(event)" value="'.$perfil.'" required="required" class="form-control" placeholder="Ingrese Nro. Celular">
		            <span class="glyphicon glyphicon-edit form-control-feedback"></span>
		        </div>
				
				<h4>Cambia la contraseña:</h4>
				<div class="form-group has-feedback">
				  <label for="exampleInputEmail1">Contraseña actual:</label>
				  <input type="password" name="passwordAct" class="form-control" maxlength="20" placeholder="Ingrese Contraseña Actual" required="required">
				  <span class="glyphicon glyphicon-lock form-control-feedback"></span>
				</div>                       
				<div class="form-group has-feedback">
				  <label for="exampleInputEmail1">Nueva contraseña:</label><span id="errorClave" style="color:red;"></span>
				  <input type="password" name="password1" id="password1" maxlength="20" class="form-control" placeholder="Nueva contraseña:" required="required">
				  <span class="glyphicon glyphicon-pencil form-control-feedback"></span>
				</div>                       
				<div class="form-group has-feedback">
				  <label for="exampleInputEmail1">Confirmar nueva contraseña:</label><span id="errorClaves" style="color:red;"></span>
				  <input type="password" name="password2" id="password2" maxlength="20" class="form-control" placeholder="Confirmar nueva contraseña:" required="required">
				  <span class="glyphicon glyphicon-pencil form-control-feedback"></span>
				</div>
				<div class="form-group has-feedback sub-btn-wdt" >
				  <input type="submit" name="EditPerfil" id="EditPerfil" class="btn btn-info" value="Cambiar Contraseña" '.$disableClave.'>
				</div>
				<script>
				$("#password1, #password2").on("keyup", function () {
					var nombre = document.getElementById("dato08").value;
					document.getElementById("nomDirec").value=nombre;
				  if ($("#password1").val() == $("#password2").val()) {
					$("#errorClave").html(" Igual").css("color", "green");
					$("#errorClaves").html(" Igual").css("color", "green");
				  } else {
					$("#errorClave").html(" No Igual").css("color", "red");
					$("#errorClaves").html(" No Igual").css("color", "red");
				  }
				})
</script>
			</form>
			</div>
			<div class="col-sm-8">
				<form action="script/savex.php" class="form-horizontal" method="post">
					<input type="hidden" name="urls" id="urls" value="'.$urlsX.'" />
					<input type="hidden" name="users_id" value="'.$usersId.'">
					<input type="hidden" name="codModular" value="'.$login.'">
					<input type="hidden" name="entidad" value="'.$data[0].'">
					<input type="hidden" name="grupoId" value="'.$grupoId.'">
					<h4>Ficha Informativa de la Institución : '.$error.'</h4>
					<div class="row">
						<div class="col-sm-5">
							<div class="input-group">
								<span class="input-group-addon"><b>COD MODULAR I. E.</b></span>
								<input type="text" name="dato01" id="dato01" class="form-control" placeholder="INGRESE CODIGO MODULAR DE LA IE" value="'.$login.'" readonly>
							</div>
						</div>
						<div class="col-sm-7">
							<div class="input-group">
								<span class="input-group-addon"><b>UGEL SUPERVISA</b></span>
								<input type="text" name="dato02" id="dato02" class="form-control" placeholder="INGRESE UGEL" value="'.$data[2].'" readonly>
							</div>
						</div>
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>NOMBRE I.E.</b></span>
						<input type="text" name="dato03" id="dato03" class="form-control" placeholder="INGRESE NOMBRE DE LA IE" value="'.($data[3]).'" required="required">
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>NIVEL</b></span>
						<input type="text" name="dato04" id="dato04" class="form-control" placeholder="INGRESE NIVEL / MODALIDAD" value="'.($data[4]).'" required="required" readonly>
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>CARACTERISTICA</b></span>
						<input type="text" name="dato05" id="dato05" class="form-control" placeholder="INGRESE DETALLE DE CARACTERISTICA" value="'.($data[5]).'" required="required">
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>GESTION</b></span>
						<input type="text" name="dato06" id="dato06" class="form-control" placeholder="INGRESE GESTION" value="'.($data[6]).'" required="required">
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>GESTION - DEPENDENCIA</b></span>
						<input type="text" name="dato07" id="dato07" class="form-control" placeholder="INGRESE GESTION - DEPENDENCIA" value="'.($data[7]).'" required="required"/>
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>NOMBRE DIRECTOR I. E.</b></span>
						<input type="text" name="dato08" id="dato08" class="form-control" placeholder="INGRESE NOMBRE DIRECTOR I. E." value="'.($data[8]).'" required="required">
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>DIRECCION I. E.</b></span>
						<input type="text" name="dato09" id="dato09" class="form-control" placeholder="INGRESE DIRECCION I. E." value="'.($data[9]).'" required="required">
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>CENTRO POBLADO</b></span>
						<input type="text" name="dato10" id="dato10" class="form-control" placeholder="INGRESE CENTRO POBLADO" value="'.($data[10]).'" required="required">
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>DENOMINACION AREA ASIGNADA</b></span>
						<input type="text" name="dato11" id="dato11" class="form-control" placeholder="INGRESE DENOMINACION AREA ASIGNADA" value="'.($data[11]).'" readonly>
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>PROVINCIA</b></span>
						<input type="text" name="dato12" id="dato12" class="form-control" placeholder="INGRESE PROVINCIA" value="'.($data[12]).'" required="required" readonly>
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>DISTRITO</b></span>
						<input type="text" name="dato13" id="dato13" class="form-control" placeholder="INGRESE DISTRITO" value="'.($data[13]).'" required="required" readonly>
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>LENGUA ETNICA</b></span>
						'.$selec.'
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>TOTAL ALUMNOS I. E. 2018</b></span>
						<input type="text" name="dato15" onKeyPress="return soloNumeros(event)" class="form-control" placeholder="INGRESE TOTAL ALUMNOS I. E. 2018" value="'.$data[15].'" required="required">
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>TOTAL DOCENTES I. E. 2018</b></span>
						<input type="text" name="dato16" onKeyPress="return soloNumeros(event)" class="form-control" placeholder="INGRESE TOTAL DOCENTES I. E. 2018" value="'.$data[16].'" required="required">
					</div>
					<div class="input-group">
						<span class="input-group-addon"><b>TOTAL SECCIONES I. E. 2018</b></span>
						<input type="text" name="dato17" onKeyPress="return soloNumeros(event)" class="form-control" placeholder="INGRESE TOTAL SECCIONES I. E. 2018" value="'.$data[17].'" required="required">
					</div>
					<div class="row">
						<div class="col-xs-8"></div>
						<div class="col-xs-4" >
						<input type="submit" name="institu" class="btn btn-success" value="Guardar Cambios" '.$bloque.'>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div><script>
			function soloNumeros(e){
	var key = window.Event ? e.which : e.keyCode
	return (key >= 48 && key <= 57)
}
			</script>';
}


function Procesado($loginX, $nivel, $urlsX, $grupoId){
	$db = new MySQLcn();
	$cons="SELECT procesar.*, institucion.nivelMod, institucion.lenEtnica FROM procesar INNER JOIN institucion ON institucion.codModular = procesar.codModular WHERE procesar.codModular = ".$loginX;
	// DESABILITAR BOTONES
	$checkBtnDes="disabled";
	$checkBtnArc="disabled";
	$checkBtnCar="disabled";
	$checkBtnReg="disabled";
	$checkBtnPro="disabled";
	$checkBtnCon="disabled";
	
	if($db->Contar($cons)>0){
		$data = $db->FetRows();
		if(($data[11] != "" || $data[11] != NULL) && ($data[12] != "" || $data[12] != NULL)){
			$checkBtnDes="";
			if($data[11] == "PRIMARIA" && $data[12] == "CASTELLANO" ){
				$archivo="libro_primaria.xlsx";
			}else if($data[11] == "PRIMARIA" && $data[12] == "AYMARA" ){
				$archivo="libro_primariaEIB-A.xlsx";
			}else if($data[11] == "PRIMARIA" && $data[12] == "QUECHUA" ){
				$archivo="libro_primariaEIB-Q.xlsx";
			}else if($data[11] == "SECUNDARIA"){
				$archivo="libro_secundaria.xlsx";
			}
			$descargo="script/savex.php?descarga=".$archivo."&desca=".$data[3]."&idPro=".$data[0];
		}
		if($data[4] == "" || $data[4] == NULL){
			$checkBtnArc="";
			$nomReg="Validar";
		}else{
			$descar="script/savex.php?descarga=".$data[4]."&desca=Ok";
			$nomReg="Verificado";
		}
		if(($data[4] != NULL || $data[4] != "") && ($data[6] == "" || $data[6] == NULL)){
			$checkBtnArc="";
			$checkBtnCar="";
			$nomReg="Validar";
			$checkBtnReg="";
			$activate = 'function activaBtn(obj){
							var ajaxUrl= "script/savex.php?getActiva='.$urlsX.'&archivo='.$data[4].'&idPro='.$data[0].'&modular='.$loginX.'&nivel='.$data[11].'&idGrupo='.$grupoId.'";
							window.location=ajaxUrl;
					}';
		
		}
		if($data[5] != NULL || $data[5] != ""){
			$nomReg="Verificado";
			$checkBtnReg="disabled";
			$checkBtnCar="disabled";
			$checkBtnArc="disabled";
		}
		if($data[6] != NULL || $data[6] != "" ){
			$redir="script/crear-pdf.php?const=".$loginX."&idPro=".$data[0];
			$constancia='<a class="btn btn-primary" href="'.$redir.'" target="_blank" role="button">Descargar Constancia</a>';
		}else{
			$activate.= 'function btnProcesa(){
				var ajaxUrl= "script/savex.php?getProcesa='.$urlsX.'&archivo='.$data[4].'&idPro='.$data[0].'&modular='.$loginX.'&idGrupo='.$grupoId.'";
				window.location=ajaxUrl;
			}';
		}
		if(($data[6] != NULL || $data[6] != "" ) && ( $data[7] != "Ok") ){
			// CALCULAR DATOS
			if($data[11] == "PRIMARIA" && $data[12] == "CASTELLANO" ){
				LeerNotas(1, $loginX);
				LeerNotas(2, $loginX);
			}else if($data[11] == "PRIMARIA" && $data[12] == "AYMARA" ){
				LeerNotas(3, $loginX);
				LeerNotas(2, $loginX);
				LeerNotas(5, $loginX);
			}else if($data[11] == "PRIMARIA" && $data[12] == "QUECHUA" ){
				LeerNotas(4, $loginX);
				LeerNotas(5, $loginX);
				LeerNotas(2, $loginX);
			}else if($data[11] == "SECUNDARIA" ){
				LeerNotas(6, $loginX);
				LeerNotas(7, $loginX);
				LeerNotas(8, $loginX);
				LeerNotas(9, $loginX);
			}
		}
		// PROCESAR ARCHIVOS
		if(($data[3] != NULL || $data[3] != "")&&($data[4] != NULL || $data[4] != "")&&($data[5] != NULL || $data[5] != "")&&($data[6] == NULL || $data[6] == "") && (is_numeric($data[5])) ){
			$checkBtnPro="";
		}
	}
	$db->Close();
	return '<div class="container">
  <ul class="nav nav-tabs">
    <li class="active"><a data-toggle="tab" href="#home">Formato</a></li>
    <li><a data-toggle="tab" href="#menu1">Procesar</a></li>
    <li><a data-toggle="tab" href="#menu2">Constancia</a></li>
  </ul>

  <div class="tab-content">
    <div id="home" class="tab-pane fade in active">
      <h3>Descargar Formato</h3>
      <p>En este apartado podrás descargar el formato de archivo para ingresar información al sistema de evalúa DREP.</p>
      <a class="btn btn-primary" href="'.$descargo.'" role="button" '.$checkBtnDes.'>Descargar Formato</a>
    </div>
    <div id="menu1" class="tab-pane fade">
      <div class="row">
		<div class="col-sm-7">
			<h3>Procesar Evaluaciones al Sistema.</h3>
      <p>Para el procesamiento de la información debe tener en cuenta lo siguiente:.</p>
	  <ul>
		<li>Busque y seleccione un archivo a cargar.</li>
		<li>Verifique la cantidad de datos que contiene el archivo.</li>
		<li>Si todo esta correcto presione el botón procesar, recuerde que una vez procesado no hay marcha atrás. </li>
	  </ul>
		</div>
		<div class="col-sm-5">
				<h4>Elija el archivo de Excel</h4>
				<form name="myForm" id="myForm" action="script/savex.php" method="post" enctype="multipart/form-data">
					<input type="hidden" name="urls" id="urls" value="'.$urlsX.'" />
					<input type="hidden" name="nivel" value="'.$nivel.'" />
					<input type="hidden" name="idPro" value="'.$data[0].'" />
					<input type="hidden" name="modular" value="'.$loginX.'" />
					<input type="file" name="archivox" id="archivox" onchange="checkfile(this);" accept=".csv,.xls,.xlsx" '.$checkBtnArc.' />
					<div id="mensage">&nbsp;</div>
					<input type="submit" name="CargarFile" id="CargarFile" class="btn btn-success" value="Cargar Archivo" '.$checkBtnCar.' />
				</form>
			</div>
		</div>
		
  <table class="table">
    <thead>
      <tr>
        <th>Formato Descargado</th>
        <th>Archivo Subido</th>
        <th>Validar información</th>
        <th>Nro. Registros</th>
        <th>Procesar</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>'.$data[3].'</td>
        <td><a href="'.$descar.'">'.$data[4].'</a></td>
        <td><input type="button" name="valida"  id="valida" class="btn btn-warning" onClick="activaBtn(this)" value="'.$nomReg.'" '.$checkBtnReg.' /></td>
        <td>'.$data[5].'</td>
        <td><input type="button" name="procese" id="procese" class="btn btn-primary" onClick="btnProcesa()" value="Procesar" '.$checkBtnPro.' /></td>
      </tr>
    </tbody>
  </table>
    </div>
    <div id="menu2" class="tab-pane fade">
      <h3>Descargar Constancia.</h3>
      <p>Para descargar su constancia de Constancia de Registro de Información, debe de haber completado el proceso de evaluación, en todas sus etapas.</p>
	  '.$constancia.'
    </div>
  </div>
</div><script language="javascript">
'.$activate.'
function checkfile(sender) {
	var conten = document.getElementById("mensage");
    var extPer=new Array(".xlsx", ".xls", ".csv");
	var permite = false;
	extension = (sender.value.substring(sender.value.lastIndexOf("."))).toLowerCase();
	for(var i = 0; i < extPer.length; i++)
		if(extPer[i] == extension){
		permite = true;
		break;
	}
	if(!permite){
		miError="Extensión del archivo no valido, ingrese archivo Excel.";
		conten.innerHTML=miError;
		document.getElementById("CargarFile").disabled = true;
      return false;
    }
    else{ 
		document.getElementById("CargarFile").disabled = false;
		return true;
	}
}
</script>';
}

function Procesando($loginX, $nivel, $urlsX, $grupoId){
	$db = new MySQLcn();
	if($nivel=='3'){
		$cons="SELECT procesar.*, institucion.centroEdu, institucion.nivelMod, institucion.director, institucion.lenEtnica FROM procesar INNER JOIN institucion ON institucion.codModular = procesar.codModular WHERE procesar.codModular =".$loginX;
		$db->Query($cons);
		if($db->NumRows()>0){
			$data = $db->FetRows();
			if($data[5] != "" || $data[5] != NULL){
				$check="checked";
				$disable="disabled";
			}else{
				$disable="disabled";
				if($data[4] != NULL || $data[4] != ""){
					$activate = 'function activaBtn(obj){
						var ajaxUrl= "script/savex.php?getActiva='.$urlsX.'&archivo='.$data[4].'&idPro='.$data[0].'&modular='.$loginX.'&nivel='.$data[11].'&idGrupo='.$grupoId.'";
						if(obj.checked == true){
							window.location=ajaxUrl;
						}
					}';
				}
			}
			if(($data[3] != NULL || $data[3] != "")&&($data[4] != NULL || $data[4] != "")&&($data[5] != NULL || $data[5] != "")&&($data[6] == NULL || $data[6] == "")){
				$disable="";
			}
			if($data[6] != NULL || $data[6] != "" ){
				$redir="script/crear-pdf.php?const=".$loginX."&idPro=".$data[0];
				$constancia='<a class="btn btn-primary" href="'.$redir.'" target="_blank" role="button">Descargar Constancia</a>';
				$disable ="disabled";
				$disableX ="disabled";
			}else{
				$activate.= 'function btnProcesa(){
						var ajaxUrl= "script/savex.php?getProcesa='.$urlsX.'&archivo='.$data[4].'&idPro='.$data[0].'&modular='.$loginX.'&idGrupo='.$grupoId.'";
						window.location=ajaxUrl;
					}';
			}
			
			if(($data[6] != NULL || $data[6] != "" ) && ( $data[7] != "Ok") ){
				// CALCULAR DATOS
				$consul="SELECT nivelMod, lenEtnica FROM institucion WHERE codModular = $loginX ";
				$db->Query($consul);
				$db->NumRows();
				$califi = $db->FetRows();
				if($califi[0] == "PRIMARIA" && $califi[1] == "CASTELLANO" ){
					$filax1=LeerNotas(1, $loginX);
					$filax2=LeerNotas(2, $loginX);
				}else if($califi[0] == "PRIMARIA" && $califi[1] == "AYMARA" ){
					$filax3=LeerNotas(3, $loginX);
					$filax2=LeerNotas(2, $loginX);
					$filax5=LeerNotas(5, $loginX);
				}else if($califi[0] == "PRIMARIA" && $califi[1] == "QUECHUA" ){
					$filax4=LeerNotas(4, $loginX);
					$filax5=LeerNotas(5, $loginX);
					$filax2=LeerNotas(2, $loginX);	
				}else if($califi[0] == "SECUNDARIA" ){
					$filax6=LeerNotas(6, $loginX);
					$filax7=LeerNotas(7, $loginX);
					$filax8=LeerNotas(8, $loginX);
					$filax9=LeerNotas(9, $loginX);
				}
			}
			
			if($data[11] == "PRIMARIA" && $data[13] == "CASTELLANO" ){
				$archivo="libro_primaria.xlsx";
			}else if($data[11] == "PRIMARIA" && $data[13] == "AYMARA" ){
				$archivo="libro_primariaEIB-A.xlsx";
			}else if($data[11] == "PRIMARIA" && $data[13] == "QUECHUA" ){
				$archivo="libro_primariaEIB-Q.xlsx";
			}else if($data[11] == "SECUNDARIA"){
				$archivo="libro_secundaria.xlsx";
			}
			if($data[4] != NULL || $data[4] != ""){
				$descar="script/savex.php?descarga=".$data[4]."&desca=Ok";
			}
			if($nivel == '3')
				$descargo="script/savex.php?descarga=".$archivo."&desca=".$data[3]."&idPro=".$data[0];
		}
	}
	$db->Close();
	return '<div class="container">
  <ul class="nav nav-tabs">
    <li class="active"><a data-toggle="tab" href="#home">Formato</a></li>
    <li><a data-toggle="tab" href="#menu1">Procesar</a></li>
    <li><a data-toggle="tab" href="#menu2">Constancia</a></li>
  </ul>

  <div class="tab-content">
    <div id="home" class="tab-pane fade in active">
      <h3>Descargar Formato</h3>
      <p>En este apartado podrás descargar el formato de archivo para ingresar información al sistema de evalúa DREP.</p>
      <a class="btn btn-primary" href="'.$descargo.'" role="button">Descargar Formato</a>
    </div>
    <div id="menu1" class="tab-pane fade">
      <div class="row">
		<div class="col-sm-7">
			<h3>Procesar Evaluaciones al Sistema.</h3>
      <p>Para el procesamiento de la información debe tener en cuenta lo siguiente:.</p>
	  <ul>
		<li>Busque y seleccione un archivo a cargar.</li>
		<li>Verifique la cantidad de datos que contiene el archivo.</li>
		<li>Si todo esta correcto presione el botón procesar, recuerde que una vez procesado no hay marcha atrás. </li>
	  </ul>
		</div>
		<div class="col-sm-5">
				<h4>Elija el archivo de Excel</h4>
				<form name="myForm" id="myForm" action="script/savex.php" method="post" enctype="multipart/form-data">
					<input type="hidden" name="urls" id="urls" value="'.$urlsX.'" />
					<input type="hidden" name="nivel" value="'.$nivel.'" />
					<input type="hidden" name="idPro" value="'.$data[0].'" />
					<input type="hidden" name="modular" value="'.$loginX.'" />
					<input type="file" name="archivox" id="archivox" onchange="checkfile(this);" accept=".csv,.xls,.xlsx" '.$disableX.'/>
					<div id="mensage">&nbsp;</div>
					<input type="submit" name="CargarFile" id="CargarFile" class="btn btn-success" value="Cargar Archivo" disabled />
				</form>
			</div>
		</div>
		
  <table class="table">
    <thead>
      <tr>
        <th>Formato Descargado</th>
        <th>Archivo Subido</th>
        <th>Validar información</th>
        <th>Nro. Registros</th>
        <th>Procesar</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>'.$data[3].'</td>
        <td><a href="'.$descar.'">'.$data[4].'</a></td>
        <td><label><input type="checkbox" name="aceptar" onClick="activaBtn(this)" '.$check.'> Validar</label></td>
        <td>'.$data[5].'</td>
        <td><input type="button" id="procese" class="btn btn-primary" onClick="btnProcesa()" value="Procesar" '.$disable.' /></td>
      </tr>
    </tbody>
  </table>
    </div>
    <div id="menu2" class="tab-pane fade">
      <h3>Descargar Constancia.</h3>
      <p>Para descargar su constancia de Constancia de Registro de Información, debe de haber completado el proceso de evaluación, en todas sus etapas.</p>
	  '.$constancia.'
    </div>
  </div>
</div><script language="javascript">
'.$activate.'
function checkfile(sender) {
	var conten = document.getElementById("mensage");
    var extPer=new Array(".xlsx", ".xls", ".csv");
	var permite = false;
	extension = (sender.value.substring(sender.value.lastIndexOf("."))).toLowerCase();
	for(var i = 0; i < extPer.length; i++)
		if(extPer[i] == extension){
		permite = true;
		break;
	}
	if(!permite){
		miError="Extensión del archivo no valido, ingrese archivo Excel.";
		conten.innerHTML=miError;
		document.getElementById("CargarFile").disabled = true;
      return false;
    }
    else{ 
		document.getElementById("CargarFile").disabled = false;
		return true;
	}
}
</script>';
}


function LeerNotas($idCurso,$codModuar){
	$db = new MySQLcn();
	$consul="SELECT * FROM examen WHERE cursoId =".$idCurso;
	$db->Query($consul);
	$db->NumRows();
	$datax = $db->FetRows();
	// RECCORE ESTUDIANTE
	$row = array();
	$datos = array();
	// SUMA DE PESOS
	$consul="SELECT SUM(pesoRpta) FROM preguntas WHERE cursoId =".$idCurso;
	$db->Query($consul);
	$db->NumRows();
	$pesoTotal = $db->FetRows();
	$consul="SELECT alumnosId, seccion, nombres FROM alumnos WHERE nopres != 'NP' AND codModular =".$codModuar;
	$db->Query($consul);
	if($db->NumRows()>0){
		$row = $db->Rows();
		foreach ($row as &$valor){
			$j=1;
			$clave="prueba.rpta".$j;
			$nota=0;
			for($i = 4; $i <= 23 ; $i++){
				$consul="SELECT preguntas.pesoRpta FROM preguntas WHERE preguntas.idpregunta = $datax[$i] AND preguntas.respuesta = (SELECT $clave FROM prueba WHERE prueba.codModular = $codModuar AND prueba.alumnosId = ".$valor["alumnosId"]." AND prueba.cursoId = $idCurso)";
				//$filax.=$consul;
				if($db->Contar($consul) == 1){
					$peso = $db->FetRows();
					$nota = $nota + $peso[0];
				}
				$j++;
				$clave="prueba.rpta".$j;
			}
			if($nota != 0)
				$notax = round(((20 * $nota) / $pesoTotal[0]),0);
			else
				$notax = 0;
			//GUARDAR
			$consul="UPDATE prueba SET puntaje = '$notax' WHERE prueba.alumnosId = ".$valor["alumnosId"]." ANd prueba.cursoId = '$idCurso';";
			$db->UpdateDb($consul);
		}
	}
	$db->Close();
	//return $filax;
}

//==============================================================//
//                        ASERCA DE NOSOTROS
//==============================================================//
// utf8_encode() // muestra resultado
// utf8_decode() // guarda caracteres especiales
function AcercaDe(){
	$db = new MySQLcn();
	$cons="SELECT * FROM mensaje WHERE usersId=1 ORDER BY fecha DESC ";
	$db->Query($cons);
	if($db->NumRows()>0){
		while ($row = $db->FetRows()){
			if($row[6] == NULL || $row[6] == "")
				$filas.='<tr><td scope="row">'.utf8_encode($row[4]).'</td><td scope="row">'.utf8_encode($row[5]).'</td><td scope="row"></td></tr>';
			else
				$filas.='<tr><td scope="row">'.utf8_encode($row[4]).'</td><td scope="row">'.utf8_encode($row[5]).'</td><td scope="row"><a href="script/savex.php?descarga='.$row[6].'&desca=Ok"><b>DESCARGA</b></a></td></tr>';
		}
	}
	$db->Close();
	$videolink="https://youtu.be/HHrH8jUtXGk";
	$ytarray=explode("/", $videolink);
	$ytendstring=end($ytarray);
	$ytendarray=explode("?v=", $ytendstring);
	$ytendstring=end($ytendarray);
	$ytendarray=explode("&", $ytendstring);
	$ytcode=$ytendarray[0];
	$objeto="<iframe width=\"345\" height=\"285\"  style=\"margin-top:3px;\" src=\"http://www.youtube.com/embed/$ytcode\" frameborder=\"0\" allowfullscreen></iframe>";
	return '<div class="row">
			<div class="col-sm-4">
				<img src="logo/evalua.jpg" width="345" height="340">
				'.$objeto.'
			</div>
			<div class="col-sm-8">
				<h3>APLICACIÓN DE LA EVALUACIÓN REGIONAL DE APRENDIZAJES PUNO 2018 Y JORNADA DE REFLEXIÓN</h3>
				<p style="text-align: justify;">El objetivo es recoger información de los aprendizajes de los estudiantes de las Instituciones Educativas del ámbito regional para medir el nivel de avance de los aprendizajes, consolidando y sistematizando los resultados de la Evaluación Regional de Aprendizajes y efectuar la reflexión para la retroalimentación asumiendo compromisos y estrategias para la mejora de los aprendizajes.</p>
				<h3>Mensajes y Manuales</h3>
				<table id="datosPag" class="table table-striped table-bordered table-hover">
					<thead><tr class="bg-primary"><th class="bg-primary">TITULO</th><th class="bg-primary">MENSAJE</th><th class="bg-primary">ARCHIVO</th></tr></thead>
					<tbody>'.$filas.'</tbody>
				</table>
			</div>';
}

function Importar($idNivel){
	$host  = $_SERVER['HTTP_HOST'];
	if($idNivel == 1){
		$host.='<br><form action="script/savex.php" method="post" name="frmExcelImport" id="frmExcelImport" enctype="multipart/form-data">
            <div>
                <label>Choose Excel File</label>
				<input type="file" name="file" id="file" accept=".csv,.xls,.xlsx">
				<div class="custom-control custom-radio">
<input type="radio" name="radio" class="custom-control-input" value="entidad" >IMPORTAR INSTITUCIONES
<input type="radio" name="radio" class="custom-control-input" value="usuarios">IMPORTAR USUARIO 03
<input type="radio" name="radio" class="custom-control-input" value="preguntas">IMPORTAR PREGUNTAS
<input type="radio" name="radio" class="custom-control-input" value="Inactiva">IMPORTAR I. E. INACTIVAS
</div>
                <button type="submit" name="import" id="submit" class="btn btn-success">Importar</button>
            </div>
        
        </form>';
	}
	return $host;
}
?>
