<?php
require('fpdf/fpdf.php');
include("conex.php");

class PDF extends FPDF
{
	// Page header
	function Header()
	{
		// Logo
		$this->Image('../logo/logo.jpg',12,6,12);
		// Arial bold 15
		$this->SetFont('Arial','B',15);
		// Move to the right
		$this->Cell(80);
		// Title
		$this->Cell(10,10,utf8_decode('DIRECCIÓN REGIONAL DE EDUCACIÓN PUNO'),0,0,'C');
		// Line break
		$this->Ln(20);
	}

	// Page footer
	function Footer()
	{
		// Position at 1.5 cm from bottom
		$this->SetY(-15);
		// Arial italic 8
		$this->SetFont('Arial','I',8);
		// Page number
		$this->Cell(0,10,'Pagina '.$this->PageNo().'/{nb}',0,0,'C');
	}
}
if(isset($_GET["const"])){
	// Guaardar Cambios
	$db = new MySQLcn();
	//VERIFICAR	
	$cons="SELECT procesar.*, institucion.centroEdu, institucion.nivelMod, institucion.director, institucion.lenEtnica FROM procesar INNER JOIN institucion ON institucion.codModular = procesar.codModular WHERE procesar.codModular =".$_GET["const"];
	$db->Query($cons);
	if($db->NumRows()>0){
		$data = $db->FetRows();
		if($_GET['consta'] != "Ok"){
			$sqls="UPDATE procesar SET constancia = 'Ok' WHERE procesaId = ".$_GET['idPro'];
			$db->UpdateDb($sqls);
		}
		setlocale(LC_ALL,"es_ES@euro","es_ES","esp");
		$fechar = strftime("%d de %B de %Y", strtotime($data[10]));
		// Instanciation of inherited class
		$pdf = new PDF( 'P', 'mm', 'A4' );
		$pdf->AliasNbPages();
		$pdf->SetTopMargin(10);
		$pdf->SetLeftMargin(25);
		$pdf->SetRightMargin(20);
		$pdf->AddPage();
		$pdf->SetFont('Times','B',16);
		$pdf->Cell(0,20,utf8_decode('Constancia de Registro de Información'),0,1,'C');

		$pdf->SetFont('Times','',12);
		$pdf->Cell(0,20,utf8_decode('El que suscribe, Dirección Regional de Educación Puno.'),0,1,'');

		$pdf->SetFont('Times','B',14);
		$pdf->Cell(0,10,utf8_decode('HACE CONSTAR. -'),0,1,'');
		$pdf->Ln(5);
		// Read text file
		$txt = "Que el Sr (Sra.). ".utf8_encode(strtoupper($data[13]))." , representante de la institución educativa, ".utf8_encode($data[11]).", en calidad de Director(Directora) ha cumplido con registrar los resultados de la evaluación regional de aprendizajes dirigido a los estudiantes de ".$data[12].", con una cantidad ".$data[5]." registros procesados que se llevó a cabo desde ".$data[9]." hasta ".$data[10]." , desempeñándose siempre con eficiencia y honestidad.";
		// Times 12
		$pdf->SetFont('Times','',12);
		// Output justified text
		$pdf->MultiCell(0,7,utf8_decode($txt));
		//Observaciones
		$texto="NOTA : ".utf8_encode($data[8]);
		if($data[8] != NULL || $data[8] != '')
			$pdf->MultiCell(0,7,utf8_decode($texto));
		$pdf->SetFont('Times','',12);
		$pdf->Cell(0,10,utf8_decode('Se agradece por su responsabilidad en beneficio de la EDUCACIÓN REGIONAL.'),0,1,'');
		$pdf->Cell(0,10,utf8_decode('Atentamente:'),0,1,'');
		$pdf->Cell(0,10,utf8_decode('Puno, '.$fechar.'.'),0,1,'R');
		$pdf->Cell(0,35,'',0,1,'C');
		$pdf->SetTextColor(10,148,245);
		$pdf->Cell(0,5,utf8_decode('FIRMADO ORIGINAL'),0,1,'C');
		$pdf->SetTextColor(0,0,0);
		$pdf->Cell(0,4,'--------------------------------------------',0,1,'C');
		$pdf->Cell(0,4,'MSc. Maximiliano Cornejo Turpo',0,1,'C');
		$pdf->Cell(0,4,utf8_decode('Director Regional de Educación'),0,1,'C');
		$pdf->Cell(0,4,'Puno',0,1,'C');
		$nomArchivo="Costancia.pdf";
		//Output the document
		$pdf->Output($nomArchivo,'I'); 
	}
	$db->Close();
}
?>