<!DOCTYPE html>
<html lang="en">
<head>
  <title>Bootstrap Example</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>
<body>

<div class="container">
  <ul class="nav nav-tabs">
    <li class="active"><a data-toggle="tab" href="#home">Formato</a></li>
    <li><a data-toggle="tab" href="#menu1">Procesar</a></li>
    <li><a data-toggle="tab" href="#menu2">Constancia</a></li>
  </ul>

  <div class="tab-content">
    <div id="home" class="tab-pane fade in active">
      <h3>DESCARGAR FORMATO</h3>
      <p>En este apartado podrás descargar el formato de archivo para ingresar información al sistema de evalúa DREP.</p>
      <a>Descargar Formato</a>
    </div>
    <div id="menu1" class="tab-pane fade">
      <h3>PROCESAR EVALUACIONES AL SISTEMA.</h3>
      <p>Para el procesamiento de la información debe tener en cuenta lo siguiente:.</p>
	  <ul>
		<li>Busque y seleccione un archivo a cargar.</li>
		<li>Verifique la cantidad de datos que contiene el archivo.</li>
		<li>Si todo esta correcto presione el botón procesar, recuerde que una vez procesado no hay marcha atrás. </li>
	  </ul>
	  <script>
	  function CargarArchivo(file){
				var ajaxUrl= "script/savex.php?filex="+ file;
				var dataString = { "users": '.$userX.',
									"idgrupo": '.$grupoX.',
									"page": page,
								};
				$.ajax({
						data:  dataString, //datos que se envian a traves de ajax
						url:   ajaxUrl, //archivo que recibe la peticion
						type:  "post", //método de envio
						beforeSend: function () {
								$("#tablax").html("Procesando, espere por favor...<img src=\"logo/loading.gif\">");
						},
						success:  function (response) { //una vez que el archivo recibe el request lo procesa y lo devuelve
								$("#tablax").html(response);
						}
				});
			}
			</script>
	  
    </div>
    <div id="menu2" class="tab-pane fade">
      <h3>DESCARGAR CONSTANCIA.</h3>
      <p>Para descargar su constancia de Constancia de Registro de Información, debe de haber completado el proceso de evaluación, en todas sus etapas.</p>
	  <a>Descargar Constancia</a>
    </div>
  </div>
</div>

</body>
</html>
